/// <reference types="cypress" />
describe('TicketRequest', () => {
    beforeEach(() => {
        cy.login('developer');
        cy.viewport(1920, 1080);
        cy.visit('/#/ticket/31/request');
    });

    it('Creates a new request', () => {
        cy.dataCy('vnTableCreateBtn').should('exist');
        cy.dataCy('vnTableCreateBtn').click();
        const data = {
            Description: { val: 'Purchase description' },
            Atender: { val: 'buyerNick', type: 'select' },
            Quantity: { val: 2 },
            Price: { val: 123 },
        };
        cy.fillInForm(data);
        cy.get('.q-mt-lg > .q-btn--standard').click();
        cy.checkNotification('Data created');
    });
});
